Bug 241884 - Sudoku fails to start [missing deps]
Sudoku fails to start [missing deps]
Product: Fedora
Classification: Fedora
Component: gnome-games (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Depends On:
  Show dependency treegraph
Reported: 2007-05-31 09:01 EDT by David Kovalsky
Modified: 2014-03-31 19:44 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-06-28 09:18:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description David Kovalsky 2007-05-31 09:01:06 EDT
gnome-sudoku won't start when trying to start from menu. Starting from terminal
reveals the problem:

[dkovalsk@kovinek ~]$ gnome-sudoku
Traceback (most recent call last):
  File "/usr/bin/gnome-sudoku", line 20, in <module>
    from gnome_sudoku.gnome_sudoku import start_game
  File "/usr/lib/python2.5/site-packages/gnome_sudoku/gnome_sudoku.py", line 11,
in <module>
    import gsudoku, sudoku, saver, sudoku_maker, printing, sudoku_generator_gui
  File "/usr/lib/python2.5/site-packages/gnome_sudoku/printing.py", line 1, in
    import gtk, gnomeprint, gnomeprint.ui, math
ImportError: No module named gnomeprint

Note that I'm using KDE and I didn't install any gnome libs expect those that
were automagically pulled in for dependencies.

Installed Packages
bluez-gnome.i386                         0.6-2.fc7              installed
gnome-desktop.i386                       2.18.0-4.fc7           installed
gnome-doc-utils.noarch                   0.10.3-1.fc7           installed
gnome-games.i386                         1:       installed
gnome-icon-theme.noarch                  2.18.0-1.fc7           installed
gnome-keyring.i386                       0.8-1.fc7              installed
gnome-media.i386                         2.18.0-3.fc7           installed
gnome-menus.i386                         2.18.0-1.fc7           installed
gnome-mime-data.noarch                   2.18.0-2.fc7           installed
gnome-mount.i386                         0.6-2.fc7              installed
gnome-panel.i386                         2.18.0-9.fc7           installed
gnome-pilot.i386                         2.0.15-5.fc7           installed
gnome-python2.i386                       2.18.1-1.fc7           installed
gnome-python2-bonobo.i386                2.18.1-1.fc7           installed
gnome-python2-canvas.i386                2.18.1-1.fc7           installed
gnome-python2-extras.i386                2.14.3-2.fc7           installed
gnome-python2-gconf.i386                 2.18.1-1.fc7           installed
gnome-python2-gnomevfs.i386              2.18.1-1.fc7           installed
gnome-python2-gtkhtml2.i386              2.14.3-2.fc7           installed
gnome-spell.i386                         1.0.7-4.fc7            installed
gnome-themes.noarch                      2.18.0-1.fc7           installed
gnome-vfs2.i386                          2.18.1-4.fc7           installed
libgnome.i386                            2.18.0-4.fc7           installed
libgnomecanvas.i386                      2.14.0-5.fc7           installed
libgnomecups.i386                        0.2.2-8                installed
libgnomeprint22.i386                     2.18.0-1.fc7           installed
libgnomeprintui22.i386                   2.18.0-1.fc7           installed
libgnomeui.i386                          2.18.1-2.fc7           installed
wireshark-gnome.i386                     0.99.5-1.fc7           installed

After installing gnome-python2-desktop  and gnome-python2-gnomeprint everything
works fine.
Comment 1 Fedora Update System 2007-06-18 12:39:13 EDT
gnome-games- has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
Comment 2 David Kovalsky 2007-06-20 08:23:26 EDT
Works for me.

Comment 3 Fedora Update System 2007-06-28 09:18:33 EDT
gnome-games- has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.